name: Process Word Count Queue
on:
  schedule:
    - cron: '*/5 * * * *'  # Every 5 minutes
  workflow_dispatch:  # Allow manual triggering

jobs:
  process-queue:
    runs-on: ubuntu-latest
    steps:
      - name: Process Word Count Queue
        run: |
          curl -X POST "${{ secrets.APP_URL }}/api/cron/word-count-processor" \
            -H "Authorization: Bearer ${{ secrets.CRON_SECRET }}"
        env:
          APP_URL: ${{ secrets.APP_URL }}
          CRON_SECRET: ${{ secrets.CRON_SECRET }} 